Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

can’t use magento connect
 
pco75
Jr. Member
 
Total Posts:  8
Joined:  2009-01-28
 

I have the impression that PEAR does fully work on my installation.

I am testing magento under a windows XP machine using easyPHP 3.0.

Everything is working except Magento Connect. Is it a configuration issue with PEAR ?

You will find below the output of Magento Connect when I try to install an extension

downloading Interface_Frontend_Blank-1.2.0.3.tgz ...
Starting to download Interface_Frontend_Blank-1.2.0.3.tgz (273,465 bytes)
. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ...
done273,465 bytes
downloading Mage_Core_Modules
-1.2.0.3.tgz ...
Starting to download Mage_Core_Modules-1.2.0.3.tgz (1,434,139 bytes)
...
done1,434,139 bytes
downloading Lib_Varien
-1.2.0.tgz ...
Starting to download Lib_Varien-1.2.0.tgz (102,280 bytes)
...
done102,280 bytes
downloading Lib_Google_Checkout
-1.2.0.tgz ...
Starting to download Lib_Google_Checkout-1.2.0.tgz (27,164 bytes)
...
done27,164 bytes
downloading Lib_Js_Calendar
-1.2.0.tgz ...
Starting to download Lib_Js_Calendar-1.2.0.tgz (23,028 bytes)
...
done23,028 bytes
downloading Lib_Js_Mage
-1.2.0.tgz ...
Starting to download Lib_Js_Mage-1.2.0.tgz (68,795 bytes)
...
done68,795 bytes
downloading Lib_Js_Prototype
-1.2.0.tgz ...
Starting to download Lib_Js_Prototype-1.2.0.tgz (218,721 bytes)
...
done218,721 bytes
downloading Lib_ZF
-1.7.2.tgz ...
Starting to download Lib_ZF-1.7.2.tgz (1,252,715 bytes)
...
done1,252,715 bytes
downloading Mage_Pear_Helpers
-1.0.18800.tgz ...
Starting to download Mage_Pear_Helpers-1.0.18800.tgz (9,225 bytes)
...
done9,225 bytes
downloading Lib_ZF_Locale
-1.7.2.tgz ...
Starting to download Lib_ZF_Locale-1.7.2.tgz (1,278,956 bytes)
...
done1,278,956 bytes
downloading PEAR
-1.7.2.tgz ...
Starting to download PEAR-1.7.2.tgz (302,744 bytes)
...
done302,744 bytes
pear
/PEAR requires package "pear/Archive_Tar" (recommended version 1.3.2)
pear/PEAR requires package "pear/Structures_Graph" (recommended version 1.0.2)
pear/PEAR requires package "pear/Console_Getopt" (recommended version 1.2.3)
pear/PEAR can optionally use package "pear/XML_RPC" (version >= 1.4.0)
magento-core/Mage_Pear_Helpers requires package "pear/PEAR" (version >= 1.6.2)
magento-core/Lib_Google_Checkout requires package "magento-core/Mage_Pear_Helpers" (version >= 1.0.18800)
magento-core/Lib_Js_Calendar requires package "magento-core/Mage_Pear_Helpers" (version >= 1.0.18800)
magento-core/Lib_Js_Prototype requires package "magento-core/Mage_Pear_Helpers" (version >= 1.0.18800)
magento-core/Lib_ZF_Locale requires package "magento-core/Mage_Pear_Helpers" (version >= 1.0.18800)
magento-core/Lib_Js_Mage requires package "magento-core/Lib_Js_Prototype" (version >= 1.2.0version <= 1.2.0)
magento-core/Lib_ZF requires package "magento-core/Mage_Pear_Helpers" (version >= 1.0.18800)
magento-core/Lib_ZF requires package "magento-core/Lib_ZF_Locale" (version >= 1.7.2version <= 1.7.2)
magento-core/Lib_Varien requires package "magento-core/Lib_ZF" (version >= 1.7.2version <= 1.7.2)
magento-core/Mage_Core_Modules requires package "magento-core/Lib_Varien" (version >= 1.2.0version <= 1.2.0)
magento-core/Mage_Core_Modules requires package "magento-core/Lib_Google_Checkout" (version >= 1.2.0version <= 1.2.0)
magento-core/Mage_Core_Modules requires package "magento-core/Lib_Js_Calendar" (version >= 1.2.0version <= 1.2.0)
magento-core/Mage_Core_Modules requires package "magento-core/Lib_Js_Mage" (version >= 1.2.0version <= 1.2.0)
magento-core/Mage_Core_Modules requires package "magento-core/Lib_Js_Prototype" (version >= 1.2.0version <= 1.2.0)
magento-core/Interface_Frontend_Blank requires package "magento-core/Mage_Core_Modules" (version >= 1.2.0.3version <= 1.2.0.3)

Would somebody have an idea?

Thank you for your help

 
Magento Community Magento Community
Magento Community
Magento Community
 
pco75
Jr. Member
 
Total Posts:  8
Joined:  2009-01-28
 

I have tried to reinstall everything with Wamp but I get the same problems. It seems that underwindows Pear which is used by Magento Connect is badly configured by magento.

Any clue ?

Is there someone who have really succeeded to fully install magento under Windows

Thank you for your help

 
Magento Community Magento Community
Magento Community
Magento Community
 
Sindre|ProperHost
Mentor
 
Avatar
Total Posts:  1158
Joined:  2008-04-24
 

In Magento Connect, try install “pear/Archive_Tar”, “pear/Structures_Graph”, and “pear/Console_Getopt”, respectively. Then Install “pear/PEAR”. If everything goes well so can, you can try to install your extension.

By the way, which extension are you trying to install? Looks like you are upgrading the Magento core packages. If so, use extension key “magento-core/Mage_All_Latest”.

 
Magento Community Magento Community
Magento Community
Magento Community
 
pco75
Jr. Member
 
Total Posts:  8
Joined:  2009-01-28
 

I tried what you sugested but the system answer me :

Invalide package indentifier providedpear/Archive_Tar

Any other sugestion ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Sindre|ProperHost
Mentor
 
Avatar
Total Posts:  1158
Joined:  2008-04-24
 

Make sure you have the latest PEAR installed on your server. Other than that, I’m afraid I won’t be able to provide much more help.

 
Magento Community Magento Community
Magento Community
Magento Community
 
pco75
Jr. Member
 
Total Posts:  8
Joined:  2009-01-28
 

I finally tried to load with magento connect : magento-core/Mage_All_Latest

And it successfully loaded the different extensions. Realy Thank for your help.

I was trying to load magento-core/Interface-Fronted-Blank on a clean 1.2.0.3 installation. I spent hours on this.

The painting on this magento box isn’t really dry…

 
Magento Community Magento Community
Magento Community
Magento Community
 
Sindre|ProperHost
Mentor
 
Avatar
Total Posts:  1158
Joined:  2008-04-24
 

Oh, I see. I assumed you had already tried that before your first post. Remember, when upgrading Magento, always use ‘magento-core/Mage_All_Latest’ for the Extension Key as it will automatically load the required packages. It is just a meta package.

Glad you got it sorted. smile

 
Magento Community Magento Community
Magento Community
Magento Community
 
Ravikumar N B
Sr. Member
 
Avatar
Total Posts:  213
Joined:  2009-01-12
 

I cant use Magento connect manager.
I try for any extension then i ll get following error massage.

parsePackageName(): invalid package name "Mage_All_Latest " in "connect.magentocommerce.com/core/Mage_All_Latest "
invalid package name/package file "connect.magentocommerce.com/core/Mage_All_Latest "
Cannot initialize 'connect.magentocommerce.com/core/Mage_All_Latest 'invalid or missing package file
Install Errors
Package 
"connect.magentocommerce.com/core/Mage_All_Latest " is not valid
PEAR ERROR
install failed
or
No releases available for package "connect.magentocommerce.com/core/Interface_Frontend_Default_Modern"
Cannot initialize 'channel://connect.magentocommerce.com/core/Interface_Frontend_Default_Modern'invalid or missing package file
Install Errors
Package 
"channel://connect.magentocommerce.com/core/Interface_Frontend_Default_Modern" is not valid
PEAR ERROR
install failed

I tried with all Preferred State(Stable, Beta and alpha) and i gave 777 permission for entire magento folder.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Ravikumar N B
Sr. Member
 
Avatar
Total Posts:  213
Joined:  2009-01-12
 

I cant use Magento connect manager.
I try for any extension then i ll get following error massage.

parsePackageName(): invalid package name "Mage_All_Latest " in "connect.magentocommerce.com/core/Mage_All_Latest "
invalid package name/package file "connect.magentocommerce.com/core/Mage_All_Latest "
Cannot initialize 'connect.magentocommerce.com/core/Mage_All_Latest 'invalid or missing package file
Install Errors
Package 
"connect.magentocommerce.com/core/Mage_All_Latest " is not valid
PEAR ERROR
install failed
or
No releases available for package "connect.magentocommerce.com/core/Interface_Frontend_Default_Modern"
Cannot initialize 'channel://connect.magentocommerce.com/core/Interface_Frontend_Default_Modern'invalid or missing package file
Install Errors
Package 
"channel://connect.magentocommerce.com/core/Interface_Frontend_Default_Modern" is not valid
PEAR ERROR
install failed

I tried with all Preferred State(Stable, Beta and alpha) and i gave 777 permission for entire magento folder.

Magento version 1.2.0.2,
PHP 5.2.6

 
Magento Community Magento Community
Magento Community
Magento Community
 
Sindre|ProperHost
Mentor
 
Avatar
Total Posts:  1158
Joined:  2008-04-24
 

You have an extra space in the package name: “Mage_All_Latest “. Try this: “magento-core/Mage_All_Latest”, and make sure there are no spaces.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Ravikumar N B
Sr. Member
 
Avatar
Total Posts:  213
Joined:  2009-01-12
 

Thanks.
But once again i got error massage. Not only for this extension. I got same massage for all the extensions.

No releases available for package "connect.magentocommerce.com/core/Mage_All_Latest"
Cannot initialize 'channel://connect.magentocommerce.com/core/Mage_All_Latest'invalid or missing package file
Install Errors
Package 
"channel://connect.magentocommerce.com/core/Mage_All_Latest" is not valid
PEAR ERROR
install failed
 
Magento Community Magento Community
Magento Community
Magento Community
 
Sindre|ProperHost
Mentor
 
Avatar
Total Posts:  1158
Joined:  2008-04-24
 

Do you see “Mage_All_Latest” in the list of packages in Magento Connect? If it is already installed, you should use the Check for Upgrade option. Also make sure you have the latest version of PEAR installed on your server.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Ravikumar N B
Sr. Member
 
Avatar
Total Posts:  213
Joined:  2009-01-12
 

I think no need to install latest PEAR.
Because Magento use their own PEAR tool. PEAR tool located in magento/downloader/pearlib.
In pearlib code they change the php include_path using ini_set function.

FYI: http://www.magentocommerce.com/boards/viewthread/2858/

 
Magento Community Magento Community
Magento Community
Magento Community
 
Raptor Commerce (toby)
Sr. Member
 
Total Posts:  180
Joined:  2009-01-31
 

I am also having problems on my Os X box (MAMP). I am able to download most extensions without problem but I am struggling with the language packs - I have tried to install the English (UK) and spanish packs but I get a similar error:

Failed to download magento-community/Locale_Mage_community_en_GB within preferred state "stable"latest release is version 1.0.19870.4.15stability "beta", use "channel://connect.magentocommerce.com/community/Locale_Mage_community_en_GB-1.0.19870.4.15" to install
Cannot initialize 
'channel://connect.magentocommerce.com/community/Locale_Mage_community_en_GB'invalid or missing package file
Install Errors
Package 
"channel://connect.magentocommerce.com/community/Locale_Mage_community_en_GB" is not valid
PEAR ERROR
install failed

Does anyone have an idea what could be causing this? I’m guessing it’s something to do with the beta state of the language pack

Oh i’m running 1.2.0.3

Thanks

 
Magento Community Magento Community
Magento Community
Magento Community
 
Sindre|ProperHost
Mentor
 
Avatar
Total Posts:  1158
Joined:  2008-04-24
 

Yes, you need to change your Preferred State to Beta under the Settings tab in Magento Connect Manager.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Ravikumar N B
Sr. Member
 
Avatar
Total Posts:  213
Joined:  2009-01-12
 

I was install latest PEAR and configure with php.
But still i’m getting same error. So i tried to display the pear include path.

No releases available for package "connect.magentocommerce.com/core/Interface_Frontend_Default_Iphone"
Cannot initialize 'channel://connect.magentocommerce.com/core/Interface_Frontend_Default_Iphone'invalid or missing package file

/usr/local/httpd-2.0.61/htdocs/magento/downloader/pearlib/php:/usr/local/httpd-2.0.61/htdocs/magento/app/code/local:/usr/local/httpd-2.0.61/htdocs/magento/app/code/community:/usr/local/httpd-2.0.61/htdocs/magento/app/code/core:/usr/local/httpd-2.0.61/htdocs/magento/lib:.:/usr/local/php5.2.6/share/pear

Install Errors
Package 
"channel://connect.magentocommerce.com/core/Interface_Frontend_Default_Iphone" is not valid
PEAR ERROR
install failed

In my php.ini include path is /usr/local/php5.2.6/share/pear. But magento modify the include path and they use pear tool from /usr/local/httpd-2.0.61/htdocs/magento/downloader/pearlib/php.

/usr/local/php5.2.6/share/pear - this pear also upgrade into 1.7.2 using “php pearcmd.php upgrade-all” and updated the channels list

Magento version: 1.2.0.2
Please give some solution to me.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top